# -*- encoding : utf-8 -*-
class Portlet::ShareContentsController < ApplicationController
  layout "admin"

  def new
    @share_content = ShareContent.new()

    respond_to do |format|
      format.html {
        if request.xhr?
          render :layout => false
        end
      }
      format.js { render :template => "portlet/shared/new" }
    end
  end

  def create
    @share_content = ShareContent.new(params.require(:share_content).permit!)

    respond_to do |format|
      if @share_content.save
        
        
        @portlet = Portlet.create(:content => @share_content)
        
        
        
        
        format.html { redirect_to([:admin, @portlet.block.blockable], :notice => 'Elément ajouté avec succès.') }
        format.js { render :template => "portlet/shared/create" }
      else
        format.html { render :action => "new" }
        format.js { render :template => "portlet/shared/new" }
      end
    end
  end

  def edit
    @share_content = ShareContent.find(params[:id])
    @portlet = Portlet.find(params[:portlet_id])
    respond_to do |format|
      format.html {
        if request.xhr?
          render :template => "portlet/shared/edit", :layout => false
        end
      }
      format.js { render :template => "portlet/shared/edit" }
    end
  end
  
  



  def show


  end

  def update
    @share_content = ShareContent.find(params[:id])
    @portlet = @share_content.portlet
    
    respond_to do |format|
          if @share_content.update_attributes(params.require(:share_content).permit!)
        if @portlet.block and @portlet.block.blockable
          @portlet.block.blockable.updated_at = Time.now
          @portlet.block.blockable.save
          if @portlet.block.blockable_type == "Page"

            #to_my_log("[Page_"+@portlet.block.blockable.id.to_s+"] "+"Modification de la page "+@portlet.block.blockable.title.to_s+" (modification d'un portlet)")
          end
        end
    
            format.html { redirect_to([:admin, @portlet.block.blockable], :notice => 'Titre mis à jour.') }
        format.js { render :template => "portlet/shared/update" }
          else
            format.html { render :action => "portlet/shared/edit" } 
        format.js { render :template => "portlet/shared/edit" }
          end

    end
  end

  def destroy
    @portlet = Portlet.find(params[:portlet_id])
    @share_content = ShareContent.find(params[:id])
    @share_content.destroy
    
  
    
    respond_to do |format|
      format.html {}
      format.js { render :template => "portlet/shared/destroy" }
    end
  end

 
end
